Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Works as-is with GHC-7.0 and Cabal-1.10

  • Loading branch information...
commit 112e91be3ae4b23fd942ab2ecc57a2b59e617db7 1 parent 98e1a87
@ivan-m ivan-m authored
Showing with 6 additions and 5 deletions.
  1. +6 −5 haskell-updater.cabal
View
11 haskell-updater.cabal
@@ -9,7 +9,8 @@ Description: haskell-updater rebuilds Haskell packages on Gentoo
GHC's boot libraries so as to have no external
dependencies.
- This version is for GHC-6.12 with Cabal-1.8.
+ This version is for GHC-6.12 with Cabal-1.8 and
+ GHC-7.0 with Cabal-1.0.
Category: Distribution
License: GPL
License-file: COPYRIGHT
@@ -42,10 +43,10 @@ Executable haskell-updater {
Ghc-Prof-Options: -auto-all
Build-Depends: base == 4.*,
- Cabal == 1.8.*,
- containers < 0.4,
- filepath < 1.2,
- directory < 1.1,
+ Cabal >= 1.8 && < 1.11,
+ containers < 0.5,
+ filepath < 1.3,
+ directory < 1.2,
bytestring < 1.0,
process < 1.1
}
Please sign in to comment.
Something went wrong with that request. Please try again.